=== subprojects/python-vdf/requirements.txt ===
mock
pytest
pytest-cov
