=== debian/changelog ===
steam (1.0.0.68-1) unstable; urgency=medium

  * New upstream release
    - No changes relevant to this Debian package

 -- Simon McVittie <smcv@debian.org>  Sun, 17 Jan 2021 13:29:59 +0000

steam (1.0.0.67-4) unstable; urgency=medium

  * Swap Suggests: nvidia-driver-libs-i386 to nvidia-driver-libs.
    The nvidia-driver-libs-i386 package is unavailable since bullseye.
    However, nvidia-driver-libs is Multi-Arch: same and the steam package
    is Architecture: i386, so the new Suggests will also pull in
    nvidia-driver-libs:i386, which is what we want. (Closes: #979121)

 -- Simon McVittie <smcv@debian.org>  Sun, 03 Jan 2021 11:14:20 +0000

steam (1.0.0.67-3) unstable; urgency=medium

  * Add Recommends on libasound2-plugins.
    This is required for PulseAudio output in 32-bit games. amd64
    users will typically already have libasound2-plugins:amd64, but not
    libasound2-plugins:i386; however, the steam package is on i386, so it
    is in an ideal position to pull in 32-bit libraries. (Closes: #977272)
  * d/steam.lintian-overrides: Remove an obsolete tag
  * d/source/lintian-overrides: Mark source-is-missing as known.
    The Steam client's source code is not available, and we don't need
    a reminder from Lintian.
  * Standards-Version: 4.5.1 (no changes required)

 -- Simon McVittie <smcv@debian.org>  Tue, 15 Dec 2020 14:03:54 +0000

steam (1.0.0.67-2) unstable; urgency=medium

  * Release to unstable.
    Version 1.0.0.67 has been promoted from beta to stable status.
  * d/watch: Update for new upstream layout.
    This only watches for upstream stable releases. Replace stable with beta
    to get upstream betas before they are promoted to stable status.

 -- Simon McVittie <smcv@debian.org>  Wed, 02 Dec 2020 17:44:37 +0000

steam (1.0.0.67-1) experimental; urgency=medium

  * New upstream release (currently a beta)
    - Update steam binary
    - Update udev rules to cover DualSense (Playstation 5) controller
  * Add Recommends on xdg-desktop-portal and a backend.
    These are used by Proton 5.13, which runs in a Steam Runtime v2 container,
    when a game asks to open a URL in the host system's web browser.

 -- Simon McVittie <smcv@debian.org>  Fri, 20 Nov 2020 17:28:30 +0000

steam (1.0.0.66-2) unstable; urgency=medium

  * Release to unstable.
    Version 1.0.0.66 has been promoted from beta to stable status.

 -- Simon McVittie <smcv@debian.org>  Mon, 05 Oct 2020 15:27:37 +0100

steam (1.0.0.66-1) experimental; urgency=medium

  * New upstream release (currently a beta)
    - Update steam binary
    - Make udev rules compatible with eudev and older udev
  * Add Recommends: bubblewrap, required by the experimental container
    runtime system

 -- Simon McVittie <smcv@debian.org>  Wed, 29 Jul 2020 17:11:17 +0100

steam (1.0.0.64-1) unstable; urgency=medium

  * New upstream stable release
    - No changes since 1.0.0.63 that are relevant to this package
  * d/rules: Look at stable rather than precise upstream apt suite.
    The official sources.list.d fragment shipped with the Steam launcher
    now uses the 'stable' apt suite, since the Steam client doesn't
    actually work on Ubuntu 12.04 'precise' any more.
  * Release to unstable

 -- Simon McVittie <smcv@debian.org>  Sat, 04 Jul 2020 15:11:18 +0100

steam (1.0.0.63-1) experimental; urgency=medium

  * New upstream release (currently a beta)
    - Update steam binary
    - Update steam-devices udev rules
  * debian/steam.postinst: Notify udevd to reload its rules.
    This means the steam-devices rules should take effect immediately,
    instead of being deferred until after the next reboot.
    - Thanks to Ludovico de Nittis
  * Remove unused lintian override for
    debian-rules-contains-unnecessary-get-orig-source-target

 -- Simon McVittie <smcv@debian.org>  Tue, 09 Jun 2020 13:31:44 +0100

steam (1.0.0.62-2) unstable; urgency=medium

  * steam(6): Don't redirect stderr to a log file.
    The upstream developers of Steam recently removed its own launch
    script's redirection (to /tmp/dumps), which has been noted to
    sometimes fill /tmp, and is less useful in practice than it was hoped
    to be. They have asked that we remove the similar redirection from
    Debian's equivalent script, so that when debugging game launch issues
    they can instruct users to run steam from an interactive terminal,
    and expect it to produce both stdout and stderr, regardless of
    whether their launch script or ours is in use. (Closes: #957284)
  * Remove libtxc-dxtn0 alternative dependency.
    We now require libgl1-mesa-dri (>= 17.3), which is available in
    Debian 10 and up, as well as Debian 9 backports.
  * Release to unstable.
    Version 1.0.0.62 has been promoted from beta to stable status.

 -- Simon McVittie <smcv@debian.org>  Tue, 12 May 2020 18:58:38 +0100

steam (1.0.0.62-1) experimental; urgency=medium

  * New upstream release (currently considered to be a beta)
    - New directory layout
    - Update steam binary
    - Update steam-devices udev rules from
      <https://github.com/ValveSoftware/steam-devices/>:
      add ZeroPlus P4 (hitbox) hidraw device, 0c12:0ef6
  * d/rules: Make .orig directory configurable.
    It's canonically "..", but users of git-buildpackage often separate
    the directory with git repositories from the directory with large
    binaries.
  * d/rules: Add support for downloading beta steam-launcher versions.
    The 1.0.0.62 launcher release is currently considered to be a beta,
    which will be promoted to stable status after it has had more testing.
  * d/rules: Cope with the upstream release having an epoch.
    Ubuntu's modified version of this package has an epoch as a result of
    an older, unrelated package "sTeam" with a higher version number, which
    used to be in Debian and Ubuntu many years ago. Valve's steam package
    now has an epoch so that their 1:1.0.0.62 will be compared correctly
    against Ubuntu's 1:1.0.0.61.

