=== debian/watch ===
version=4
https://repo.steampowered.com/steam/archive/stable/steam_@ANY_VERSION@@ARCHIVE_EXT@
