## steam 1.0.0.69

=== debian/changelog ===
steam (1:1.0.0.69) beta; urgency=medium

  * Register to handle steamlink:// URLs.
    Please note that this currently requires opting in to the beta branch
    of the Steam client.
  * Update steam-devices subproject up to 2020-12-08
    - Faceoff Wired Pro Controller for Nintendo Switch
      (thanks, FranklinsHand) (Resolves: steam-devices#14)
    - Afterglow Deluxe+ wired controller for Nintendo Switch
      (thanks, Mathieu Ricard) (Resolves: steam-devices#17)
  * Build using updated Steam client:
    - Client timestamp 1613176728 (2021-02-13)
    - Steam Runtime version 0.20201203.1

 -- Simon McVittie <smcv@collabora.com>  Wed, 03 Mar 2021 15:38:43 +0000

steam (1:1.0.0.68) beta; urgency=medium

  [ Ludovico de Nittis ]
  * bin_steamdeps: use subprocess.check_call for Python 3.4 compatibility
  * bin_steamdeps: Use apt-cache output to decide availability of packages
  * bin_steamdeps: Install xdg-desktop-portal and a backend if available.
    Proton uses xdg-desktop-portal to open URLs from inside a container.
    Older OSs like Ubuntu 14.04 and SteamOS 2 don't have these packages
    available, so we have to install them conditionally. (T24974)

  [ Simon McVittie ]
  * d/README.source: Document how to do releases

 -- Simon McVittie <smcv@collabora.com>  Wed, 02 Dec 2020 16:30:13 +0000
