## steam 1.0.0.70

=== debian/changelog ===
steam (1:1.0.0.70-2ubuntu1) impish; urgency=medium

  * Merge from Debian Sid (LP: #1938351), remaining changes:
    - Add an epoch to the version number.
    - Add steam-installer package that depends on steam and contains
      appstream metadata to allow Steam to be installed via appsteam enabled
      software centers.
    - Drop debian/steam.preinst because the dconf question it is not supported
      by all software centers.
    - Modify template-helper script for Ubuntu.
    - Modify debian/steam.bug-control for Ubuntu.
    - Disable copyright-helper script in debian/rules.
    - Nvidia packaging differences to Debian.
  * debian/control: bump libnvidia-gl suggests packages

 -- Andrew Hayzen <ahayzen@ubuntu.com>  Wed, 28 Jul 2021 23:20:24 +0100

steam (1.0.0.70-2) experimental; urgency=medium

  * Depend on system libxi6:i386 to work around bugs in the Steam
    Runtime's older version (Closes: #990233)
  * Add Recommends on libsdl2-2.0-0:i386.
    This is an important library for most games and for Steam itself, and
    will also pull in up-to-date i386 versions of its dependencies. These
    i386 libraries will be used in preference to the rather outdated
    versions in the Steam Runtime, mitigating bugs like #990233. Users
    of wine32 will have these already.

 -- Simon McVittie <smcv@debian.org>  Wed, 23 Jun 2021 16:16:23 +0100

steam (1.0.0.70-1) experimental; urgency=medium

  [ Simon McVittie ]
  * New upstream beta
    - Updated Steam client binary, build 1616532526 (2021-03-23)
    - steam.desktop: Request running on a discrete or otherwise "big" GPU
      (requires GNOME 3.38, KDE Frameworks 5.30+ or something compatible)
  * d/gbp.conf: Always use --git-overlay.
    Files from the orig tarball are not included in the git repository.

  [ MichaIng ]
  * Do not keep the launcher script running at startup; use exec instead.

 -- Simon McVittie <smcv@debian.org>  Wed, 07 Apr 2021 14:38:50 +0100

steam (1.0.0.69-1) experimental; urgency=medium

  * New upstream beta
    - Update steam-devices subproject up to 2020-12-08
      + Faceoff Wired Pro Controller for Nintendo Switch
      + Afterglow Deluxe+ wired controller for Nintendo Switch
      (Thanks: FranklinsHand, Mathieu Ricard)
    - Updated Steam client binary, build 1613176728 (2021-02-13)
    - Register to handle steamlink:// URLs.
      Please note that this currently requires opting in to the beta
      branch of the Steam client.
  * Edit steam.desktop with sed instead of using a patch.
    This is more likely to apply cleanly when updating from upstream.
  * steam.desktop: Use /usr/games/steam in Desktop Actions too

 -- Simon McVittie <smcv@debian.org>  Thu, 04 Mar 2021 14:08:25 +0000

steam (1:1.0.0.68-1ubuntu1) hirsute; urgency=medium

  * Merge from Debian Sid (LP: #1912902), remaining changes:
    - Add an epoch to the version number.
    - Add steam-installer package that depends on steam and contains
      appstream metadata to allow Steam to be installed via appsteam enabled
      software centers.
    - Drop debian/steam.preinst because the dconf question it is not supported
      by all software centers.
    - Modify template-helper script for Ubuntu.
    - Modify debian/steam.bug-control for Ubuntu.
    - Disable copyright-helper script in debian/rules.
    - Nvidia packaging differences to Debian.
  * debian/control: bump libnvidia-gl suggests packages

 -- Andrew Hayzen <ahayzen@ubuntu.com>  Wed, 27 Jan 2021 21:16:06 +0000

steam (1:1.0.0.67-2ubuntu1) hirsute; urgency=medium

  * Merge from Debian Sid (LP: #1901689), remaining changes:
    - Add an epoch to the version number.
    - Add steam-installer package that depends on steam and contains
      appstream metadata to allow Steam to be installed via appsteam enabled
      software centers.
    - Drop debian/steam.preinst because the dconf question it is not supported
      by all software centers.
    - Modify template-helper script for Ubuntu.
    - Modify debian/steam.bug-control for Ubuntu.
    - Disable copyright-helper script in debian/rules.
    - Nvidia packaging differences to Debian.
  * debian/control: use >= for the version depends on steam from the
    steam-installer package otherwise lintian fails with
    not-binnmuable-all-depends-any.

 -- Andrew Hayzen <ahayzen@gmail.com>  Sat, 05 Dec 2020 21:30:00 +0000
