=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: steam
 Section: non-free/games
 Priority: optional
-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders:
  Michael Gilbert <mgilbert@debian.org>,
  Simon McVittie <smcv@debian.org>,
@@ -25,6 +26,7 @@
  libxdmcp6,
  libxext6,
  libxfixes3,
+ libxi6,
  libxxf86vm1,
  zlib1g,
  python3:any,
@@ -52,6 +54,7 @@
  libudev1,
  libxcb-dri3-0 (>= 1.11.1),
  libxcb1,
+ libxi6 (>= 2:1.7.4),
  libxinerama1 (>= 2:1.1.1),
  xz-utils,
  ${misc:Depends},
@@ -62,6 +65,7 @@
  fontconfig,
  fonts-liberation,
  libasound2-plugins,
+ libsdl2-2.0-0,
  libxss1,
  mesa-vulkan-drivers,
  steam-devices,
@@ -71,8 +75,7 @@
  xterm | x-terminal-emulator,
  zenity,
 Suggests:
- nvidia-driver-libs,
- nvidia-vulkan-icd,
+  libnvidia-gl-390 | libnvidia-gl-460 | libnvidia-gl-465,
 Conflicts:
  steam-launcher,
 Replaces:
@@ -90,6 +93,27 @@
  parts of the application that differ from the original agreement.  In
  other words, pay attention and read carefully if you're worried about your
  rights.
+
+Package: steam-installer
+Architecture: all
+Multi-Arch: foreign
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends},
+ steam (>= ${source:Version}),
+Description: Installer for Valve's Steam digital software delivery system
+ Steam (https://www.steampowered.com) is a software content delivery system
+ developed by Valve software (https://www.valvesoftware.com).  There is
+ some free software available, but for the most part the content delivered
+ is non-free.
+ .
+ This package enables Steam to be easily installed via an appstream client
+ on non-i386 systems as long as the i386 foreign architecture is configured.
+ This is the default on Ubuntu, but on Debian, you may need to run as root:
+ dpkg --add-architecture i386; apt update
+ .
+ This package is not needed if you only want to install Steam directly with
+ apt or with a non-appstream client like Synaptic.
 
 Package: steam-devices
 Architecture: all
