## steam 1.0.0.71

=== Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 all:
 	@echo 'Run steam with "./steam" or install it with "sudo make install"'
 
-install: install-bin install-docs install-icons install-bootstrap install-desktop install-apt-source
+install: install-bin install-docs install-icons install-bootstrap install-desktop install-appdata install-apt-source
 
 install-bin:
 	install -d -m 755 $(DESTDIR)$(PREFIX)/bin/
@@ -41,8 +41,16 @@
 install-desktop:
 	install -d -m 755 $(DESTDIR)$(PREFIX)/share/applications/
 	install -d -m 755 $(DESTDIR)$(pkglibdir)/
-	install -p -m 644 $(PACKAGE).desktop $(DESTDIR)$(pkglibdir)
-	ln -fns $(pkglibdir)/$(PACKAGE).desktop $(DESTDIR)$(datadir)/applications/
+	# If we create a desktop symlink in $(datadir)/applications/, the md5sum deb file
+	# will not contain an entry for it and appstream-generator will complain that
+	# the package is missing the desktop file. Instead we place the real file in
+	# $(datadir)/applications/ and create a symlink in $(pkglibdir)
+	install -p -m 644 $(PACKAGE).desktop $(DESTDIR)$(datadir)/applications/
+	ln -fns $(datadir)/applications/$(PACKAGE).desktop $(DESTDIR)$(pkglibdir)/
+
+install-appdata:
+	install -d -m 755 $(DESTDIR)$(PREFIX)/share/metainfo/
+	install -p -m 644 $(PACKAGE_ID).metainfo.xml $(DESTDIR)$(PREFIX)/share/metainfo/
 
 install-apt-source:
 	if [ -d /etc/apt ]; then \
@@ -55,13 +63,14 @@
 #########################
 
 PACKAGE=steam
+PACKAGE_ID=com.valvesoftware.Steam
 PREFIX?=/usr
 bindir = $(PREFIX)/bin
 datadir = $(PREFIX)/share
 pkglibdir = $(PREFIX)/lib/$(PACKAGE)
 PYTHON ?= python3
 
-.PHONY: all install install-bin install-docs install-icons install-bootstrap install-desktop install-apt-source
+.PHONY: all install install-bin install-docs install-icons install-bootstrap install-desktop install-appdata install-apt-source
 
 check:
 	prove -v tests/*.sh
