=== debian/changelog ===
steam (1:1.0.0.71) beta; urgency=medium

  [ Ludovico de Nittis ]
  * d/control: Add steamrt-libs-amd64, steamrt-libs-i386 metapackages.
    These pull in libraries required by steam-launcher and Steam itself.
    Note that although these should ideally be hard dependencies, we cannot
    enforce this at the packaging level, because that would break the
    ability to download "steam-launcher.deb" through a browser and install
    it with "gdebi" or similar, which is a documented use-case.
  * bin_steamdeps: Try to install the new steam-libs metapackages

  [ Simon McVittie ]
  * d/control: Depend on realpath.
    steam.sh assumes realpath(1) is available, but in older distributions
    such as Ubuntu 14.04 that isn't necessarily present.
  * Build using updated Steam client:
    - Client timestamp 1626824053 (2021-07-20)
    - Steam Runtime version 0.20210630.0
  * Update steam-devices subproject up to 2021-06-10
    - PDP Wired Fight Pad Pro for Nintendo Switch
      (thanks, @theGiallo) (Resolves: steam-devices#19)
    - Razer Raiju 2 Tournament Edition (USB)
      (thanks, @dsuserds) (Resolves: steam-devices#20)
    - Horipad mini 4 (thanks, @besselfunct) (Resolves: steam-devices#21)
  * Update python-vdf subproject to v3.4

 -- Simon McVittie <smcv@collabora.com>  Fri, 23 Jul 2021 16:27:40 +0100

steam (1:1.0.0.70) beta; urgency=medium

  * steam.desktop: Request running on a discrete or otherwise "big" GPU
    when run on NVIDIA Optimus or AMD Switchable Graphics systems by a
    desktop environment that supports this feature, for example
    KDE Frameworks 5.30+ or GNOME Shell 3.38+.
    Note that when running Steam from a terminal for debugging or
    development, flags in the .desktop file have no effect and it will still
    be necessary to set environment variables.
    (Resolves: T26770, steam-for-linux#634, steam-for-linux#7089)
  * Build using updated Steam client:
    - Client timestamp 1616532526 (2021-03-23)
    - Steam Runtime version 0.20210126.2

 -- Simon McVittie <smcv@collabora.com>  Wed, 07 Apr 2021 13:31:40 +0100
