## steam 1.0.0.72

=== debian/changelog ===
steam (1:1.0.0.72) beta; urgency=medium

  [ Ludovico de Nittis ]
  * bin_steamdeps: Ensure that packages are never removed.
    In some situations, e.g. if a user installs a newer version of
    libc6:amd64 and then removes its apt source, resulting in it being
    newer than any available version of libc6:i386, apt would suggest
    removing several essential packages in order to satisfy the
    dependencies. Don't let it do that.
    (Resolves: steam-for-linux#7982)
  * bin_steamdeps: Explicitly ask apt for both :amd64 and :i386 versions of
    some required packages, so that it will give better error messages in
    situations like the one that promoted steam-for-linux#7982.

  [ Simon McVittie ]
  * Update steam-devices subproject up to 2021-08-25
    - Brooks Universal Fighting Board
      (thanks, Michael Pobega)
    - PowerA Wired Controller for Nintendo Switch (newer product ID, a713)
      (thanks, @TwistedAkai) (Resolves: steam-devices#27)
    - Razer Panthera EVO Arcade Stick
      (thanks, Peter DeVita) (Resolves: steam-devices#26)
    - Razer Raiju PS4 Tournament Edition over Bluetooth
      (thanks, @5amu31) (Resolves: steam-devices#25)
    - Thrustmaster eSwap Pro
  * Remove bundled copy of python-vdf.
    This was never required at runtime, but was used by steam-launcher
    developers for maintenance tasks.
    It's included as a separate package in recent versions of the Steam
    Runtime SDK (see <https://gitlab.steamos.cloud/steamrt/scout/sdk/> for
    details) and in Debian.
  * add-client-files: Stop ignoring --client-uri, --client-manifest.
    This lets steam-launcher developers get a preview of what will be in
    the client when the beta gets promoted to general availability.

 -- Simon McVittie <smcv@collabora.com>  Wed, 08 Sep 2021 19:01:01 +0100
