## steam 1.0.0.74

=== Makefile ===
--- 
+++ 
@@ -7,9 +7,11 @@
 
 install-bin:
 	install -d -m 755 $(DESTDIR)$(PREFIX)/bin/
-	install -d -m 755 $(DESTDIR)$(pkglibdir)/
+	install -d -m 755 $(DESTDIR)$(pkglibdir)/steam_launcher/
 	install -p -m 755 bin_steam.sh $(DESTDIR)$(pkglibdir)/
 	install -p -m 755 bin_steamdeps.py $(DESTDIR)$(pkglibdir)/
+	install -p -m 644 steam_launcher/__init__.py $(DESTDIR)$(pkglibdir)/steam_launcher/
+	install -p -m 644 steam_launcher/launcherutils.py $(DESTDIR)$(pkglibdir)/steam_launcher/
 	ln -fns $(pkglibdir)/bin_steam.sh $(DESTDIR)$(bindir)/$(PACKAGE)
 	ln -fns $(pkglibdir)/bin_steamdeps.py $(DESTDIR)$(bindir)/$(PACKAGE)deps
 
@@ -75,3 +77,9 @@
 check:
 	prove -v tests/*.sh
 .PHONY: check
+
+clean:
+	rm -fr .mypy_cache
+	rm -fr buildutils/__pycache__
+	rm -fr steam-launcher/__pycache__
+.PHONY: clean
