=== debian/changelog ===
steam (1:1.0.0.74-1ubuntu2) jammy; urgency=medium

  * Revert using upstream appdata for steam-installer (LP: #1955361)
    - debian/steam-installer.install: use our own appdata file

 -- Andrew Hayzen <ahayzen@ubuntu.com>  Mon, 20 Dec 2021 01:07:39 +0000

steam (1:1.0.0.74-1ubuntu1) jammy; urgency=medium

  * Merge from Debian Sid (LP: #1951894), remaining changes:
    - Add steam-installer package that depends on steam and contains
      appstream metadata to allow Steam to be installed via appsteam enabled
      software centers.
    - Drop appstream metadata from steam package as we have it in steam-installer
    - Drop debian/steam.preinst because the dconf question it is not supported
      by all software centers.
    - Modify template-helper script for Ubuntu.
    - Modify debian/steam.bug-control for Ubuntu.
    - Disable copyright-helper script in debian/rules.
    - Nvidia packaging differences to Debian.
  * debian/control: bump libnvidia-gl suggests packages
  * debian/steam-installer.install: use valve appdata rather than our own

 -- Andrew Hayzen <ahayzen@ubuntu.com>  Tue, 07 Dec 2021 00:59:53 +0000

steam (1:1.0.0.74-1) unstable; urgency=medium

  * New upstream stable release
    - Updated Steam client binary, build 1637624439 (2021-11-02)
    - The other upstream changes do not directly affect this package

 -- Simon McVittie <smcv@debian.org>  Sun, 12 Dec 2021 23:06:58 +0000

steam (1:1.0.0.73-1) unstable; urgency=medium

  * New upstream stable release
    - Updated Steam client binary, build 1634158817 (2021-10-13)
    - The other upstream changes do not directly affect this package
  * Add Suggests on pipewire, and Recommends on libegl1 and libgbm1.
    These are used for Steam Remote Play / Steam Link video capture,
    particularly when running on Wayland, and we want their i386 versions.
  * Add Recommends on libva2 (VA-API) and its drivers.
    Steam Remote Play uses VA-API for hardware-accelerated encoding
    (server-side, running the game) and decoding (client-side, playing
    the game) on Mesa-supported GPUs, currently via i386 binaries.
  * Remove Recommends: bubblewrap.
    Since Debian 11, we do not need a setuid bubblewrap by default, and the
    version shipped in the SteamLinuxRuntime_soldier depot is enough.

 -- Simon McVittie <smcv@debian.org>  Mon, 29 Nov 2021 20:01:26 +0000

steam (1:1.0.0.72-2) unstable; urgency=medium

  * Release to unstable.
    Steam launcher 1.0.0.72 has been promoted from beta to stable upstream.

 -- Simon McVittie <smcv@debian.org>  Thu, 14 Oct 2021 14:33:07 +0100

steam (1:1.0.0.72-1) experimental; urgency=medium

  * Branch for experimental
  * New upstream beta
    - Update steam-devices subproject up to 2021-08-25
      + Brooks Universal Fighting Board
      + PowerA Wired Controller for Nintendo Switch (a713)
      + Razer Panthera EVO Arcade Stick
      + Razer Raiju PS4 Tournament Edition over Bluetooth
      (thanks: Michael Pobega, @TwistedAkai, Peter DeVita, @5amu31)
  * d/copyright.in: Resync with d/copyright
  * d/copyright: Update for removal of bundled python-vdf.
    It's now available separately, in the python3-vdf package.

 -- Simon McVittie <smcv@debian.org>  Wed, 08 Sep 2021 20:31:28 +0100

steam (1:1.0.0.71-2) unstable; urgency=medium

  * Bump epoch to 1.
    This aligns with the version numbers used by Valve and Ubuntu, and
    ensures that an unrelated package that used the 'steam' name prior to
    2010 (sTeam, a wiki) is correctly superseded.
  * d/scripts/steam.in: Stop deleting libraries from the Steam Runtime.
    The Steam Runtime is designed to defer to the libraries from the host
    system whenever the version on the host system is newer, or whenever
    the versions in the Steam Runtime and on the host system cannot be
    compared, so it should not be necessary to edit it in-place.
    All situations where this does not work are believed to have been fixed
    upstream. If they have not, the upstream developers want to receive
    issue reports with diagnostic logs from steam-runtime-system-info, so
    that the runtime can be fixed.
  * d/scripts/steam.in: Remove workaround for #882607.
    This shouldn't be necessary any more, particularly since Valve is now
    known to be working on a SteamOS 3 update that is based on Arch Linux
    (where libdbus assertion failures have always been fatal).
  * Upload to unstable for bookworm release cycle.
    Steam launcher 1.0.0.71 has been promoted from beta to stable upstream.

 -- Simon McVittie <smcv@debian.org>  Thu, 02 Sep 2021 14:36:30 +0100

steam (1.0.0.71-1) experimental; urgency=medium

  * New upstream beta
    - Updated Steam client binary, build 1626824053 (2021-07-20)
    - Steam Runtime version 0.20210630.0
    - Update steam-devices subproject up to 2021-06-10, with udev rules for:
      + PDP Wired Fight Pad Pro for Nintendo Switch
      + Razer Raiju 2 Tournament Edition (USB)
      + Horipad mini 4
      (Thanks: @besselfunct, @dsuserds, @theGiallo)
  * d/steam.install, d/copyright: Add AppStream metainfo from upstream
  * d/copyright: Update

 -- Simon McVittie <smcv@debian.org>  Fri, 23 Jul 2021 18:24:22 +0100
