=== debian/rules ===
--- 
+++ 
@@ -4,6 +4,7 @@
 
 export DH_VERBOSE=1
 
+dversion=$(shell dpkg-parsechangelog | grep ^Version | cut -d' ' -f2 | cut -d':' -f 2)
 uversion=$(shell uscan --report --dehs |grep upstream-version | cut -d\< -f2 | cut -d\> -f2)
 origdir=..
 orig=$(origdir)/steam_$(uversion).orig.tar.xz
@@ -26,6 +27,11 @@
 	sed \
 		-e 's,STEAMSCRIPT_VERSION=.*,STEAMSCRIPT_VERSION='"'"'$(DEB_VERSION_UPSTREAM_REVISION)/$(DEB_VENDOR)'"'"',' \
 		< debian/scripts/steam.in > debian/scripts/steam
+	sed \
+		-e '/^Exec=/ s,/usr/bin/steam,/usr/games/steam,g' \
+		-e 's,^Exec=steam ,Exec=/usr/games/steam ,' \
+		-e '/^Actions=/ a Keywords=Games' \
+		< steam.desktop > debian/scripts/steam.desktop
 override_dh_auto_install:
 	:
 override_dh_auto_test:
@@ -37,7 +43,13 @@
 
 override_dh_clean:
 	dh_clean -- debian/templates
-	./debian/scripts/copyright-helper debian/copyright.in debian/copyright
+	# Disabled
+	#./debian/scripts/copyright-helper debian/copyright.in debian/copyright
+
+# Don't use an epoch for steam-installer
+override_dh_gencontrol:
+	dh_gencontrol -psteam-installer -- -v$(dversion)
+	dh_gencontrol --remaining-packages
 
 # Can be set to 'beta' to fetch upstream releases that are still
 # considered to have beta status
